#-----------------------------------------------------------------------------
#This a SPEC file to port binutils
#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	binutils
Version		:	2.43.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Distribution porting, a GNU collection of binary utilities
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
Url		:	http://www.gnu.org/software/binutils/
			#https://ftp.gnu.org/gnu/binutils/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Obsoletes	:	%{name} <= %{version}-%{release}
Provides	:	%{name}  = %{version}-%{release}
#-----------------------------------------------------------------------------
%description
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), readelf (for displaying detailed
information about binary files), size (for listing the section sizes
of an object or archive file), strings (for listing printable strings
from files), strip (for discarding symbols), and addr2line (for
converting addresses to file and line).

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README 
%{_sysconfdir}/gprofng.rc
%{_bindir}/addr2line
%{_bindir}/ar
%{_bindir}/as
%{_bindir}/c++filt
%{_bindir}/dwp
%{_bindir}/elfedit
%{_bindir}/gp-*
%{_bindir}/gprof
%{_bindir}/gprofng
%{_bindir}/ld
%{_bindir}/ld.bfd
%{_bindir}/ld.gold
%{_bindir}/nm
%{_bindir}/objcopy
%{_bindir}/objdump
%{_bindir}/ranlib
%{_bindir}/readelf
%{_bindir}/size
%{_bindir}/strings
%{_bindir}/strip
%{_libdir}/
%exclude %{_libdir}/lib*.a
%exclude %{_libdir}/libbfd.so
%exclude %{_libdir}/libopcodes.so
%{_infodir}/*.info.gz
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	BFD and opcodes static and dynamic libraries and header files


#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains BFD and opcodes static and
dynamic libraries.
 
The dynamic libraries are in this package, rather
than a separate base package because they are
actually linker scripts that force the use of
the static libraries.  This is because the API of the
BFD library is too unstable to be used dynamically.
 
The static libraries are here because they are now
needed by the dynamic libraries.
 
Developers starting new projects are strongly
encouraged to consider using libelf instead of BFD.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/lib*.a
%{_libdir}/libbfd.so
%{_libdir}/libopcodes.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
%define _build %(gcc -dumpmachine)

mkdir _bld
pushd _bld
../configure						\
	--build=%{_build}				\
	--prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gold					\
	--enable-ld=default				\
	--enable-plugins				\
	--enable-shared					\
	--disable-werror				\
	--enable-64-bit-bfd				\
	--enable-new-dtags				\
	--with-system-zlib				\
	--enable-default-hash-style=gnu			\

#compiling
%define _smp_mflags -j %(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	tooldir=%{_prefix}				\
	%{?_smp_mflags}

popd


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C _bld						\
	tooldir=%{_prefix}				\
	DESTDIR="%{buildroot}"				\
	install 

%{__rm} -fr						\
	%{buildroot}%{_infodir}/dir


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}

%find_lang opcodes
cat opcodes.lang >> %{name}.lang

%find_lang bfd
cat bfd.lang     >> %{name}.lang

%find_lang gas
cat gas.lang     >> %{name}.lang

%find_lang gold
cat gold.lang     >> %{name}.lang

%find_lang gprof
cat gprof.lang   >> %{name}.lang

%find_lang ld
cat ld.lang     >> %{name}.lang

#-----------------------------------------------------------------------------
%changelog
